Devuan bug report logs - #485
grub-pc bootloader does not work in some cases

version graph

Package: refractainstaller-gui; Maintainer for refractainstaller-gui is fsmithred <fsmithred@gmail.com>;

Reported by: fsmithred <fsmithred@gmail.com>

Date: Sat, 20 Jun 2020 13:18:02 UTC

Severity: normal

Fixed in version 9.5.6

Done: dak@devuan.org

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org:
bug#485; Package refractainstaller-gui. (Sat, 20 Jun 2020 13:18:02 GMT) (full text, mbox, link).


Acknowledgement sent to fsmithred <fsmithred@gmail.com>:
New bug report received and forwarded.

Your message had a Version: pseudo-header with an invalid package version:

All recent versions. 9.5.x, probably 9.4.x

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Sat, 20 Jun 2020 13:18:05 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: fsmithred <fsmithred@gmail.com>
To: submit@bugs.devuan.org
Subject: grub-pc bootloader does not work in some cases
Date: Sat, 20 Jun 2020 09:04:32 -0400
[Message part 1 (text/plain, inline)]
Package: refractainstaller-gui
Version: All recent versions. 9.5.x, probably 9.4.x
grub-pc version: 2.02+dfsg1-20

grub-pc package no longer runs the configure dialog when installed with
'dpkg -i'. System fails to boot when root partition is encrypted and /boot
is not encrypted.

With unencrypted system, single virtual hard disk with single partition,
grub installs the bootloader in mbr of /dev/sda without asking. System
then boots normally.

Solution:
Uncomment line 1762 of /usr/bin/refractainstaller-yad to activate the
choose_grub function after installing the grub-pc package.

This may result in some users choosing the location for the bootloader
more than once. That's why the line was previously commented.

Note: There is no choose_grub function in the cli version of
refractainstaller, and it does not seem to be a problem there.

fsmithred


[0xA73823D3094C5620.asc (application/pgp-keys, attachment)]

Reply sent to dak@devuan.org:
You have taken responsibility. (Sun, 12 Jul 2020 00:18:01 GMT) (full text, mbox, link).


Notification sent to fsmithred <fsmithred@gmail.com>:
bug acknowledged by developer. (Sun, 12 Jul 2020 00:18:09 GMT) (full text, mbox, link).


Message #10 received at 485-done@bugs.devuan.org (full text, mbox, reply):

From: dak@devuan.org
To: 485-done@bugs.devuan.org
Subject: #485: fixed in src:refractainstaller-gui version 9.5.6
Date: Sat, 11 Jul 2020 22:08:10 +0000
Version: 9.5.6

Source package refractainstaller-gui (9.5.6) added to Devuan suite unstable.

This closes bug report 485.

Thanks

DAK managing the Devuan archive

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 11 Jul 2020 15:30:00 -0400
Source: refractainstaller-gui
Binary: refractainstaller-gui
Architecture: source
Version: 9.5.6
Distribution: unstable
Urgency: low
Maintainer: fsmithred <fsmithred@gmail.com>
Changed-By: fsmithred <fsmithred@gmail.com>
Description:
 refractainstaller-gui - tool to install a running live-CD to hard drive.
Closes: 485
Changes:
 refractainstaller-gui (9.5.6) unstable; urgency=low
 .
   * Run choose_grub() if grub-pc package gets installed. (Closes: 485)
   * rsync no longer deletes any files on target.
Checksums-Sha1:
 55d1d8a2441aa9735e31587eb965848b1a233980 1252 refractainstaller-gui_9.5.6.dsc
 fb6310b2f5dafbf28f33958ca50bb49e52517491 32568 refractainstaller-gui_9.5.6.tar.xz
 5c77c070fc0be9ba9a9de43efed8ae65bd637207 4968 refractainstaller-gui_9.5.6_source.buildinfo
Checksums-Sha256:
 29c7109fb44af696343334cc426c3c8650166692c78073f41fdd7f948a03aaeb 1252 refractainstaller-gui_9.5.6.dsc
 f36b5f25fea3640df8e950c244ab04549e5bb0e5eefb17a10054cec807ca37c8 32568 refractainstaller-gui_9.5.6.tar.xz
 f37cdabf123847d2c8f85d761e6668199aea02d9e60988611fb7fa675302d87b 4968 refractainstaller-gui_9.5.6_source.buildinfo
Files:
 0fc1234dc65cb0ecf7bc9fb982166f0f 1252 misc extra refractainstaller-gui_9.5.6.dsc
 49ab9d1dc0d70d4ef92501373a6ca82b 32568 misc extra refractainstaller-gui_9.5.6.tar.xz
 82afc601d9a2f93d81501a281268e353 4968 misc extra refractainstaller-gui_9.5.6_source.buildinfo

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEcuPLdzMV36LkZHQ9lFMhJFQZIvsFAl8KN58ACgkQlFMhJFQZ
IvtBjwgAhXlqnPMiYZf4zj3DGYjPeHF+CqigoMwrfOdfx0ZoHbCdXTzvdyQLofSB
UUMjZNZo8y21TlI+euSgvQHnbNYxObzH9HKvgBTqtIW994bpnnfhl7HuKjE1nPwX
HwPnZyLdwLJhhQmlrvwcnhW3uSRUxJ/rd6KTfAnBhvflrEShL9urcGms/tVp6Hn2
uJbk/vRwEfZ1NmQCJ4mpYUPAJvbA9A86V+6Ne4peVOHEoe1iVinYVhiHNdm/EXpL
YPfcaiA6cHTO2m48VDTjsR+aQu9brqGOLVfwzyioMDnU5bZ202VkPDTQ0OSvQzh/
gO8mvDuUgVqZhqM8Ho6T+Bz4a6KmZg==
=edV4
-----END PGP SIGNATURE-----

Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Tue Oct 27 12:29:43 2020;